API reference
Storefront domains
Custom storefront domains
Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/storefrontDomains/create" \ -H "Content-Type: application/json" \ -d '{ "host": "string" }'{}Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/storefrontDomains/delete" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{}curl -X POST "https://www.prolifto.store/api/storefrontDomains/list"{}Verify
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/storefrontDomains/verify" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{}Set Primary
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/storefrontDomains/setPrimary" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{}